import Vue from 'vue'
import App from './App'

Vue.config.productionTip = false
App.mpType = 'app'

import uView from "uview-ui";
Vue.use(uView);
import filters from "./src/utils/filters.js"
Vue.use(filters)

import config from 'gcloud-core-app/src/core/config.js'

config.baseUrl = 'http://192.168.2.77:8299';
config.oauthUrl = 'http://192.168.2.77:8299';
config.fileBaseUrl = 'http://218.26.105.73:9000';

config.fileBaseUrls = 'http://192.168.2.77:8199';
// 图片下载地址
config.uploadFileBaseUrl = 'http://218.26.105.73:9000/download/';
Vue.prototype.$config = config

// 文件
import GcloudFile  from 'gcloud-file-app/src/index.js';
Vue.use(GcloudFile, config);

import GcloudDict  from 'gcloud-dist-app/src/index.js';
Vue.use(GcloudDict, config);

import GcloudFeedbackApp  from './src/index.js'
Vue.use(GcloudFeedbackApp,config)

const app = new Vue({
    ...App
})
app.$mount()
