
import { dictClient } from 'gcloud-dist-app/src/request.js'
import {
	DictTypePk,
	DictPK
} from 'gcloud-dist-app/src/gcloud/dict/dict_message_pb';
import { StringValue } from './basic_wrappers'
export const dictCode = async (type) => {
    let code
	  let dictTypePk = new DictTypePk();
	  dictTypePk.setTypeCode(type);
	  await dictClient.findDictEntryList(dictTypePk).then(response=>{
		code = response.toObject().dictEntryList;
	  })
    return code;
}
export const dictName = async(type,code) => {
  let name
  let dictPK = new DictPK()
  dictPK.setDictType(type)
  dictPK.setDictCode(code)
  await dictClient.findDictEntry(dictPK).then(response=>{
    name=response.toObject().dictName;
  })
  return name;
}
