
// 表格数据过滤器
import { BigDecimalValue } from './basic_wrappers'
export function toDate(value) {
  var date = new Date(value);
  var Y = date.getFullYear() + '-';
  var M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
  var D = date.getDate() < 10 ? '0' + date.getDate() : date.getDate();
  var h = date.getHours() + ':';
  var m = date.getMinutes() + ':';
  var s = date.getSeconds();
  return (Y + M + D )
}

export function getWanYuan(value) {
  // return BigDecimalValue.prototype.getWan(value)
  if(value.value){
    // return BigDecimalValue.prototype.getWan(value.value)
    return BigDecimalValue.prototype.getWan(value)
  }else{
    return 0
  }
}
export function getGj(value) {
  // return BigDecimalValue.prototype.getWan(value)
  if(value.value){
    // return BigDecimalValue.prototype.getWan(value.value)
    return BigDecimalValue.prototype.getTonne(value)
  }else{
    return 0
  }
}
export function value(value) {
  // return BigDecimalValue.prototype.getWan(value)
  if(value){
    // return BigDecimalValue.prototype.getWan(value.value)
    return value.value
  }else{
    return 0
  }
}

export function toHHmmss (value) {
  var date = new Date(value);
  var Y = date.getFullYear() + '-';
  var M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
  var D = date.getDate() < 10 ? '0' + date.getDate() : date.getDate();
  var h = date.getHours() + ':';
  var m = date.getMinutes() + ':';
  var s = date.getSeconds();
  return (Y + M + D+'  '+h+m+s )
}

export function percentage (value) {
  return value+'%'
}
export function isZeroTopercentage (value) {
  if(value){
    if(value.value!=0){
      return value.value+'%'
    }else{
      return '-'
    }
  }else{
    return '-'
  }
  
}
export function isZero (value) {
  if(value){
    if(value.value!=0){
      return value.value
    }else{
      return '-'
    }
  }else{
    return '-'
  }
  
}

export function status(value) {
  if(value == 0){
    return '未审核'
  }
  if(value == 1){
    return '审核中'
  }
  if(value == 2){
    return '审核通过'
  }
}

export function lhtClass(value) {
  if(value == 'central'){
    return '国家级'
  }
  if(value == 'provincial'){
    return '省级'
  }
  if(value == 'city'){
    return '市级'
  }
  if(value == 'county'){
    return '县级'
  }
}
export function bool(value) {
  if(value){
    return '是'
  }else{
    return '否'
  }
}
export function formatMoney(value) {
  if(value){
    return parseFloat(value).toLocaleString();
  }else{
    return value
  }
}

export function variety(value) {
  if(value){
    if(value=='forsythia'){
      return '连翘'
    }else if(value=='codonopsis'){
      return '(潞)党参'
    }else if(value=='sophora_flavescens'){
      return '苦参'
    }else if(value=='bupleurum'){
      return '柴胡'
    }else if(value=='banlangen'){
      return '板蓝根'
    }else if(value=='scutellaria'){
      return '黄芩'
    }else if(value=='polygala'){
      return '远志'
    }else if(value=='astragalus'){
      return '黄芪'
    }else if(value=='birthplace'){
      return '生地'
    }else if(value=='hawthorn'){
      return '山楂'
    }else if(value=='gualou'){
      return '瓜蒌'
    }else if(value=='platycodon'){
      return '桔梗'
    }else if(value=='zhimu'){
      return '知母'
    }else if(value=='salvia'){
      return '丹参'
    }else if(value=='jujube'){
      return '酸枣仁'
    }else if(value=='perilla'){
      return '紫苏'
    }else if(value=='coltsfoot'){
      return '款冬花'
    }else if(value=='bai_tuling'){
      return '茯苓'
    }else if(value=='windproof'){
      return '防风'
    }else if(value=='cassia'){
      return '决明子'
    }else if(value=='ejaculatory'){
      return '射干'
    }else if(value=='white_peony'){
      return '白芍'
    }else if(value=='wolfberry'){
      return '枸杞子'
    }else if(value=='peony'){
      return '牡丹皮'
    }else if(value=='dry_pinellia'){
      return '旱半夏'
    }else if(value=='red_peony'){
      return '赤芍'
    }else if(value=='rhubarb'){
      return '大黄'
    }else if(value=='dianthus'){
      return '瞿麦'
    }else if(value=='atractylodes'){
      return '苍术'
    }else if(value=='polygonatum'){
      return '黄精'
    }else if(value=='bitter_almonds'){
      return '苦杏仁'
    }else if(value=='nepeta'){
      return '荆芥'
    }else if(value=='chrysanthemum'){
      return '菊花'
    }else if(value=='huoxiang'){
      return '广藿香'
    }else if(value=='white_atractylodes'){
      return '白术'
    }else if(value=='tomegrass'){
      return '透骨草'
    }else if(value=='dogwood'){
      return '山茱萸'
    }else if(value=='celosia'){
      return '鸡冠花'
    }else if(value=='black_beans'){
      return '黑豆'
    }else if(value=='achyranthes'){
      return '川牛膝'
    }else if(value=='honeysuckle'){
      return '金银花'
    }else if(value=='araceae'){
      return '天南星'
    }else if(value=='red_bean'){
      return '赤小豆'
    }else if(value=='scrophulariaceae'){
      return '玄参'
    }else if(value=='impatient'){
      return '急性子'
    }else if(value=='other'){
      return '其他'
    }
  }else{
    return value
  }
}
let list = [
  {name:'toDate',fn:toDate},
  {name:'getWanYuan',fn:getWanYuan},
  {name:'getGj',fn:getGj},
  {name:'value',fn:value},
  {name:'bool',fn:bool},
  {name:'toHHmmss',fn:toHHmmss},
  {name:'percentage',fn:percentage},
  {name:'status',fn:status},
  {name:'variety',fn:variety},
  {name:'isZeroTopercentage',fn:isZeroTopercentage},
  {name:'isZero',fn:isZero},
  {name:'formatMoney',fn:formatMoney},
  {name:'lhtClass',fn:lhtClass},
];

export default {
  install(Vue, opt) {
    list.forEach(item => {
      Vue.filter(item.name, item.fn);
    });
  }
};